It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
arrow-down2arrowcart2close4fat-arrow-leftfat-arrow-rightfeedbackfriends2happy-facelogo-gognotificationnotifications-emptyownedremove-menusad-facesearch2wishlist-menuwishlisted2own_thingsheartstartick
Hey all,

I'm really enjoying Swat 4 so far, but most of the online servers are playing via the 1.0 patch. Is there a way for me to downgrade to the 1.0 patch?

Thanks.
No posts in this topic were marked as the solution yet. If you can help, add your reply
Long time swat 3 and 4 player and mod creator here,
You can play both 1.0 version of original swat 4 and swat 4 1.1 and swat 4 tss 1.0 at the same time. That way you can play on whatever version you want. I did it and I have the gold edition. You install normal swat 4, dont install the 1.1 patch yet, then install swat 4 again to another folder, you must install it to another folder or this will not work. Choose which one you want to upgrade to 1.1, then install tss. That way you can play whatever version you want. I do it and play all versions daily. So please don't say that it is not possible.
avatar
sandman332: Long time swat 3 and 4 player and mod creator here,
You can play both 1.0 version of original swat 4 and swat 4 1.1 and swat 4 tss 1.0 at the same time. That way you can play on whatever version you want. I did it and I have the gold edition. You install normal swat 4, dont install the 1.1 patch yet, then install swat 4 again to another folder, you must install it to another folder or this will not work. Choose which one you want to upgrade to 1.1, then install tss. That way you can play whatever version you want. I do it and play all versions daily. So please don't say that it is not possible.
Can you explain what you are talking about? I'm trying to get the GOG version, which comes pre-installed with version 1.1, downgraded to 1.0. I only have the GOG version.

Thanks.
avatar
sandman332: Long time swat 3 and 4 player and mod creator here,
You can play both 1.0 version of original swat 4 and swat 4 1.1 and swat 4 tss 1.0 at the same time. That way you can play on whatever version you want. I did it and I have the gold edition. You install normal swat 4, dont install the 1.1 patch yet, then install swat 4 again to another folder, you must install it to another folder or this will not work. Choose which one you want to upgrade to 1.1, then install tss. That way you can play whatever version you want. I do it and play all versions daily. So please don't say that it is not possible.
avatar
Darkenmal: Can you explain what you are talking about? I'm trying to get the GOG version, which comes pre-installed with version 1.1, downgraded to 1.0. I only have the GOG version.

Thanks.
From what I was reading it doesn't automatically have 1.1. You install the patch for it for the GOG version. It should only have 1.0 then you update it to 1.1. However if it does already have it then its not possible I would think. Because normally, you install swat 4 then you have to install the 1.1 patch after. Aka while you install swat 4 it will ask you if you want to update to 1.1.
avatar
Darkenmal: Can you explain what you are talking about? I'm trying to get the GOG version, which comes pre-installed with version 1.1, downgraded to 1.0. I only have the GOG version.

Thanks.
avatar
sandman332: From what I was reading it doesn't automatically have 1.1. You install the patch for it for the GOG version. It should only have 1.0 then you update it to 1.1. However if it does already have it then its not possible I would think. Because normally, you install swat 4 then you have to install the 1.1 patch after. Aka while you install swat 4 it will ask you if you want to update to 1.1.
That would be nice to have as an option, but from what I have found you only have access to the 1.1 version on GOG.
Version 1.0 at your service!
Download the Downgrade 1.1 to 1.0 patch from:
www.mega.nz/#!O8ZwRZwB!tiFM2UeWtqKQa1mFNu4ROBk3wUT8g8fN27DwZAKfOyc
or
www.mediafire.com/?2cs4zc4ece4b63e

It's fairly simple how to downgrade your game with this patch. Open the .rar file and take a look at the files/folders structures. Extract the folders to their respective folders such as files from System folder goes to the System folder of your game and overwrite files. Same for the other folders.

That's it! you have version 1.0 of the game now.
Post edited January 26, 2017 by Tenshi1997
Curious what is the reason people are downgrading to 1.0? I mean I know some people are playing 1.0 online but why?
Did 1.1 introduce bugs or problems? If there isnt really a good reason for it wouldnt it make more sense to just play 1.1?

I have no idea so asking here.
avatar
Tenshi1997: Version 1.0 at your service!
Download the Downgrade 1.1 to 1.0 patch from:
www.mega.nz/#!O8ZwRZwB!tiFM2UeWtqKQa1mFNu4ROBk3wUT8g8fN27DwZAKfOyc
or
www.mediafire.com/?2cs4zc4ece4b63e

It's fairly simple how to downgrade your game with this patch. Open the .rar file and take a look at the files/folders structures. Extract the folders to their respective folders such as files from System folder goes to the System folder of your game and overwrite files. Same for the other folders.

That's it! you have version 1.0 of the game now.
I'll try this when I get home. Thanks a lot!
avatar
stardog765: Curious what is the reason people are downgrading to 1.0? I mean I know some people are playing 1.0 online but why?
Did 1.1 introduce bugs or problems? If there isnt really a good reason for it wouldnt it make more sense to just play 1.1?

I have no idea so asking here.
Apparently 1.0 is much easier to find a cracked version for. It's understandable considering the game's age, but hopefully the GOG release starts a transition to the 1.1 version, which apparently is better for blocking cheating and in-game hacks.
Post edited January 26, 2017 by Darkenmal
Ahhh well that makes sense.
Well I don't think I will bother downgrading then, would rather promote 1.1 play then.

Thanks for the info!
avatar
stardog765: Curious what is the reason people are downgrading to 1.0? I mean I know some people are playing 1.0 online but why?
Did 1.1 introduce bugs or problems? If there isnt really a good reason for it wouldnt it make more sense to just play 1.1?

I have no idea so asking here.
============= Changelog: Changes made with Patch v1.1
• Added multi-player versions of 3 single-player missions
o MP-ConvenienceStore
o MP-Hotel
o MP-JewelryHeist
• Added the SWAT 4 SDK, available in the 'SDK' subfolder of the SWAT 4 installation
directory (PLEASE NOTE THAT THE SDK IS NOT SUPPORTED!!!)
• Added Massive Streaming Ad Support
• Fixes for several exploits
o Fixed UMP .45 JHP ammunition to have correct ballistics properties
o ToggleBehindView console command no longer works in multiplayer
o Fixed potential wallhack exploit
o Fixed recoil negation keybinding exploit
o Fixed exploit that allowed players to make themselves appear to be arrested
• Fixed problem where kicking by ID would kick the wrong person
• Fixed problem where player IDs would not display in the GUI in co-op games.
• Improved validation for game content (INI files and binary packages)
• Admins can now set up to 256 IP Policies (i.e., for banning players) instead of the previous limit of 50.
• Fixed problem where servers with 16/16 players would still show up when "Filter out full servers" was enabled
• Fixed problem where incorrect server information would be returned when ping filtering was enabled
• Fixed problem where only Rapid Deployment games would be returned when filtering servers for the Co-op game type
• Fixed several issues related to language localization
• Fixed issue with character not appearing in Russian localized SKU
• Fixed cases where some game strings were localized preventing them from being properly translated in some regions
• Fixed issue where server password characters were restricted in then password popup dialog but not in the server setup page. Server password characters are now completely unrestricted
• Fixed problem where if you switch from Internet to LAN during a server browser refresh some Internet servers would show up in the LAN listing
• Fixed a problem where equipment selection would not work correctly in certain situations
• Fixed problem where if your voice type was set to Random it would change in-game every time you pressed the o, m, or b keys
• Removed unused network uplink code that was not necessary but would cause problems when enabled in INI files
• Fixed problems with mirrors in the MP-Hotel map
• Functionality added for Intel 915G/945G cards for SWAT 4
• Increased default timeout for clients when reconnecting to a server. This should reduce the likelihood of users being disconnected during map changes due to long load times on older machines and some hardware configurations.
===========

Plus, its pretty easy find hack programs to v1.0

I hope that GOG starts its transition to v1.1, what is a safer version.
Interesting, ya I agree.

Thanks for the info!
avatar
stardog765: Curious what is the reason people are downgrading to 1.0? I mean I know some people are playing 1.0 online but why?
Did 1.1 introduce bugs or problems? If there isnt really a good reason for it wouldnt it make more sense to just play 1.1?

I have no idea so asking here.
it's because there is just a small community left playing the game. you log in, check the servers and you see there is a nice game going on but it requires 1.1. So you upgrade... but the next day you check servers and the server you played on previously is empty – but this time there is a fun game going on which requires you to have 1.0.

this frustration led me to finding this thread.